Bug 1819208 (CVE-2020-10968) - CVE-2020-10968 jackson-databind: Serialization gadgets in org.aoju.bus.proxy.provider.*.RmiProvider
Summary: CVE-2020-10968 jackson-databind: Serialization gadgets in org.aoju.bus.proxy....
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-10968
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1819209 1819475 1819476 1822174 1822175 1822176 1822177 1822178 1822179 1822505 1866715
Blocks: 1819218
TreeView+ depends on / blocked
 
Reported: 2020-03-31 13:36 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-10-27 12:56 UTC (History)
102 users (show)

Fixed In Version: jackson-databind 2.9.10.4
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in jackson-databind 2.x prior to version 2.9.10.4. The interaction between serialization gadgets and typing is mishandled in the bus-proxy. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2020-04-21 16:31:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1523 None None None 2020-04-21 12:33:22 UTC
Red Hat Product Errata RHSA-2020:2067 None None None 2020-05-18 10:28:39 UTC
Red Hat Product Errata RHSA-2020:2333 None None None 2020-05-28 16:00:25 UTC
Red Hat Product Errata RHSA-2020:3192 None None None 2020-07-28 15:56:43 UTC
Red Hat Product Errata RHSA-2020:3196 None None None 2020-07-29 06:08:39 UTC
Red Hat Product Errata RHSA-2020:3197 None None None 2020-07-29 06:24:09 UTC
Red Hat Product Errata RHSA-2020:3779 None None None 2020-09-17 13:09:35 UTC
Red Hat Product Errata RHSA-2020:4366 None None None 2020-10-27 12:56:24 UTC

Description Guilherme de Almeida Suckevicz 2020-03-31 13:36:25 UTC
FasterXML jackson-databind 2.x before 2.9.10.4 mishandles the interaction between serialization gadgets and typing, related to org.aoju.bus.proxy.provider.remoting.RmiProvider (aka bus-proxy).

Reference:
https://github.com/FasterXML/jackson-databind/issues/2662

Comment 1 Guilherme de Almeida Suckevicz 2020-03-31 13:37:14 UTC
Created jackson-databind tracking bugs for this issue:

Affects: fedora-all [bug 1819209]

Comment 2 Jonathan Christison 2020-03-31 15:54:52 UTC
This vulnerability is out of security support scope for the following products:

 * Red Hat JBoss Fuse 6
 * Red Hat JBoss A-MQ 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 21 Riccardo Schirone 2020-04-09 13:00:12 UTC
Mitigation:

The following conditions are needed for an exploit, we recommend avoiding all if possible
* Deserialization from sources you do not control
* `enableDefaultTyping()`
* `@JsonTypeInfo using `id.CLASS` or `id.MINIMAL_CLASS`

Comment 22 errata-xmlrpc 2020-04-21 12:33:16 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:1523 https://access.redhat.com/errata/RHSA-2020:1523

Comment 23 Riccardo Schirone 2020-04-21 15:54:44 UTC
Statement:

While OpenShift Container Platform's elasticsearch plugins do ship the vulnerable component, it doesn't do any of the unsafe things described in https://access.redhat.com/solutions/3279231. We may update the jackson-databind dependency in a future release.

Red Hat OpenStack Platform ships OpenDaylight, which contains the vulnerable jackson-databind. However, OpenDaylight does not expose jackson-databind in a way that would make it vulnerable, lowering the impact of the vulnerability for OpenDaylight. As such, Red Hat will not be providing a fix for OpenDaylight at this time.

Red Hat Satellite 6 does not enable polymorphic deserialization which is a required configuration for the vulnerability to be used. We may update the jackson-databind dependency in a future release.

The PKI module as shipped in Red Hat Enterprise Linux 8 does not enable polymorphic deserialization which is a required configuration for the vulnerability to be used, lowering the impact of the vulnerability for the Product. We may update the jackson-databind dependency in a future release.

Comment 24 Product Security DevOps Team 2020-04-21 16:31:53 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-10968

Comment 26 errata-xmlrpc 2020-05-18 10:28:31 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2020:2067 https://access.redhat.com/errata/RHSA-2020:2067

Comment 27 errata-xmlrpc 2020-05-28 16:00:20 UTC
This issue has been addressed in the following products:

  EAP-CD 19 Tech Preview

Via RHSA-2020:2333 https://access.redhat.com/errata/RHSA-2020:2333

Comment 28 errata-xmlrpc 2020-07-28 15:56:37 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.7.0

Via RHSA-2020:3192 https://access.redhat.com/errata/RHSA-2020:3192

Comment 29 errata-xmlrpc 2020-07-29 06:08:35 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2020:3196 https://access.redhat.com/errata/RHSA-2020:3196

Comment 30 errata-xmlrpc 2020-07-29 06:24:05 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2020:3197 https://access.redhat.com/errata/RHSA-2020:3197

Comment 31 errata-xmlrpc 2020-09-17 13:09:25 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid 7.3.7

Via RHSA-2020:3779 https://access.redhat.com/errata/RHSA-2020:3779

Comment 32 errata-xmlrpc 2020-10-27 12:56:18 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.7 for RHEL 8

Via RHSA-2020:4366 https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.